package com.ruoyi.shipping.excel;

/**
 * @Author ZhaoQian La
 * @Date 2021/7/9 14:25
 * @Version 1.0
 */

import java.math.BigDecimal;

/**
 * 凯和导出清单Excel
 */
public class DeriveInventoryExcel {
    private static final long serialVersionUID = 1L;
    /**
     * 序号
     */
    private Long rankNo;
    /**
     * 提单号
     */
    private String fMblno;
    /**
     * 箱号
     */
    private String fCntrno;
    /**
     * 铅封号
     */
    private String fSealno;
    /**
     * 尺寸
     */
    private String measure;
    /**
     * 类型
     */
    private String genre;
    /**
     * 重量
     */
    private BigDecimal fCntrweight;
    /**
     * 箱公司
     */
    private String boxCompany;
    /**
     * 始发港
     */
    private String portOfDeparture;
    /**
     * 目的港
     */
    private String destinationPort;
    /**
     * 货名
     */
    private String goodName;
    /**
     * 运输条款
     */
    private String transitClause;
    /**
     * 订舱公司
     */
    private String bookingCompany;
    /**
     * 收货公司名称
     */
    private String fConsigneername;
    /**
     * 收货公司地址
     */
    private String fConsigneeattn;
    /**
     * 收货公司电话
     */
    private String fConsigneetel;

    public Long getRankNo() {
        return rankNo;
    }

    public void setRankNo(Long rankNo) {
        this.rankNo = rankNo;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfCntrno() {
        return fCntrno;
    }

    public void setfCntrno(String fCntrno) {
        this.fCntrno = fCntrno;
    }

    public String getfSealno() {
        return fSealno;
    }

    public void setfSealno(String fSealno) {
        this.fSealno = fSealno;
    }

    public String getMeasure() {
        return measure;
    }

    public void setMeasure(String measure) {
        this.measure = measure;
    }

    public String getGenre() {
        return genre;
    }

    public void setGenre(String genre) {
        this.genre = genre;
    }

    public BigDecimal getfCntrweight() {
        return fCntrweight;
    }

    public void setfCntrweight(BigDecimal fCntrweight) {
        this.fCntrweight = fCntrweight;
    }

    public String getBoxCompany() {
        return boxCompany;
    }

    public void setBoxCompany(String boxCompany) {
        this.boxCompany = boxCompany;
    }

    public String getPortOfDeparture() {
        return portOfDeparture;
    }

    public void setPortOfDeparture(String portOfDeparture) {
        this.portOfDeparture = portOfDeparture;
    }

    public String getDestinationPort() {
        return destinationPort;
    }

    public void setDestinationPort(String destinationPort) {
        this.destinationPort = destinationPort;
    }

    public String getGoodName() {
        return goodName;
    }

    public void setGoodName(String goodName) {
        this.goodName = goodName;
    }

    public String getTransitClause() {
        return transitClause;
    }

    public void setTransitClause(String transitClause) {
        this.transitClause = transitClause;
    }

    public String getBookingCompany() {
        return bookingCompany;
    }

    public void setBookingCompany(String bookingCompany) {
        this.bookingCompany = bookingCompany;
    }

    public String getfConsigneername() {
        return fConsigneername;
    }

    public void setfConsigneername(String fConsigneername) {
        this.fConsigneername = fConsigneername;
    }

    public String getfConsigneeattn() {
        return fConsigneeattn;
    }

    public void setfConsigneeattn(String fConsigneeattn) {
        this.fConsigneeattn = fConsigneeattn;
    }

    public String getfConsigneetel() {
        return fConsigneetel;
    }

    public void setfConsigneetel(String fConsigneetel) {
        this.fConsigneetel = fConsigneetel;
    }

    @Override
    public String toString() {
        return "deriveInventoryExcel{" +
                "rankNo=" + rankNo +
                ", fMblno='" + fMblno + '\'' +
                ", fCntrno='" + fCntrno + '\'' +
                ", fSealno='" + fSealno + '\'' +
                ", measure='" + measure + '\'' +
                ", genre='" + genre + '\'' +
                ", fCntrweight='" + fCntrweight + '\'' +
                ", boxCompany='" + boxCompany + '\'' +
                ", portOfDeparture='" + portOfDeparture + '\'' +
                ", destinationPort='" + destinationPort + '\'' +
                ", goodName='" + goodName + '\'' +
                ", transitClause='" + transitClause + '\'' +
                ", bookingCompany='" + bookingCompany + '\'' +
                ", fConsigneername='" + fConsigneername + '\'' +
                ", fConsigneeattn='" + fConsigneeattn + '\'' +
                ", fConsigneetel='" + fConsigneetel + '\'' +
                '}';
    }
}
